Bug 124346 - Setting Preferred Application for mail to Mozilla opens browser window when mail icon selected
Setting Preferred Application for mail to Mozilla opens browser window when m...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: htmlview (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 16:29 EDT by Darin May
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 03:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darin May 2004-05-25 16:29:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After setting Mozilla instead of Evolution to handle mail, the shell
command to be passed should be "mozilla -mail" to open the mail/news
window.  Currently it opens a mail window.

In addition, Preferred Applications should either not offer Moz Mail
if "mozilla-mail-xxx" is not installed or call "yum -y install
mozilla-mail" to do so.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Select Mozilla Mail in Preferences:Preferred Applications
2. Click on Mail Icon in panel
3. Browser window opens instead.

    

Actual Results:  Opened brower window

Expected Results:  Opened Mozilla mail/news window.

Additional info:

"mozilla -mail" forces the mail window to open even if the user's
mozilla prefs are set to only open a browser window.
Comment 1 Darin May 2004-05-25 16:34:57 EDT
Where are user/bin/launchmail's prefs kept?  There's no man entry or
--help option.
Comment 2 Warren Togami 2005-04-25 03:15:39 EDT
This is fixed in FC3.

Note You need to log in before you can comment on or make changes to this bug.